package com.cesgroup.tomcat.plugin.bootstrap.module;

import com.cesgroup.tomcat.plugin.bootstrap.Container;

/**
 * 目录结构的文件模块（非压缩）
 * @version 1.0.0 2018/07/23
 */
public class FolderModule extends Module{

	/**
	 * 创建文件模块
	 * @param path 项目路径
	 * @param container web 容器
	 */
	public FolderModule(String path, Container container) {
		super(path, container);	
		perfomCopyDirectory();
	}

	/**
	 * 复制项目到启动容器下
	 */
	@Override
	protected void perfomCopyDirectory() {

		copyDirectory(path,container.getWebapp());

	}

}
